<template>
  <head>
    <title>Aran Central</title>
  </head>
  <div>
    <NuxtRouteAnnouncer />
    <div class="container">
      <NuxtPage></NuxtPage>
    </div>
  </div>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
onMounted(() => {
  const isDarkMode = window.matchMedia('(prefers-color-scheme: dark)').matches;

  if (isDarkMode) {
    document.documentElement.setAttribute("data-theme", "dark");
  } else {
    document.documentElement.setAttribute("data-theme", "light");
  }
});

</script>

<style lang="scss" scoped>
.container {
  margin-top: 320px;
  margin-bottom: 200px;
  display: flex;
  flex-direction: column;
  padding-left: 20px;
  padding-right: 20px;
  max-width: 1100px;
}
</style>